Debian Bug report logs - #363528
seahorse segfaults when trying to encrypt a file

version graph

Package: seahorse; Maintainer for seahorse is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for seahorse is src:seahorse.

Reported by: "S. Porth" <shoof@excidium.net>

Date: Wed, 19 Apr 2006 16:48:18 UTC

Severity: important

Found in version seahorse/0.9.0-2

Fixed in version 0.9.6-1

Done: Jose Carlos Garcia Sogo <jsogo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#363528; Package seahorse. Full text and rfc822 format available.

Acknowledgement sent to "S. Porth" <shoof@excidium.net>:
New Bug report received and forwarded. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "S. Porth" <shoof@excidium.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: seahorse segfaults when trying to encrypt a file
Date: Wed, 19 Apr 2006 12:23:06 -0400
Package: seahorse
Version: 0.9.0-2
Severity: important


When selecting Encrypt from within Nautilus or "seahorse -e filename" in a
terminal, seahorse segfaults.  Decrypt works fine.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-ck6
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages seahorse depends on:
ii  debconf [debconf-2.0]    1.4.72          Debian configuration management sy
ii  gconf2                   2.14.0-1        GNOME configuration database syste
ii  libart-2.0-2             2.3.17-1        Library of functions for 2D graphi
ii  libatk1.0-0              1.11.4-1        The ATK accessibility toolkit
ii  libavahi-client3         0.6.9-8+b1      Avahi client library
ii  libavahi-common3         0.6.9-8+b1      Avahi common library
ii  libavahi-glib1           0.6.9-8+b1      Avahi glib integration library
ii  libbonobo2-0             2.14.0-1        Bonobo CORBA interfaces library
ii  libbonoboui2-0           2.14.0-2        The Bonobo UI library
ii  libc6                    2.3.6-7         GNU C Library: Shared libraries
ii  libcairo2                1.0.4-1+b1      The Cairo 2D vector graphics libra
ii  libdbus-1-2              0.61-5          simple interprocess messaging syst
ii  libdbus-glib-1-2         0.61-5          simple interprocess messaging syst
ii  libeel2-2                2.12.2-3        Eazel Extensions Library (for GNOM
ii  libfontconfig1           2.3.2-5.1       generic font configuration library
ii  libgail-common           1.8.11-1        GNOME Accessibility Implementation
ii  libgail17                1.8.11-1        GNOME Accessibility Implementation
ii  libgconf2-4              2.14.0-1        GNOME configuration database syste
ii  libglade2-0              1:2.5.1-2       library to load .glade files at ru
ii  libglib2.0-0             2.10.2-1        The GLib library of C routines
ii  libgnome-keyring0        0.4.9-1         GNOME keyring services library
ii  libgnome2-0              2.14.0-2        The GNOME 2 library - runtime file
ii  libgnomecanvas2-0        2.14.0-2        A powerful object-oriented display
ii  libgnomeprint2.2-0       2.12.1-3        The GNOME 2.2 print architecture -
ii  libgnomeprintui2.2-0     2.12.1-3        GNOME 2.2 print architecture User 
ii  libgnomeui-0             2.14.0-1        The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0           2.14.0-3        GNOME virtual file-system (runtime
ii  libgnutls12              1.2.9-2         the GNU TLS library - runtime libr
ii  libgpg-error0            1.2-1           library for common error values an
ii  libgpgme11               1.1.2-2         GPGME - GnuPG Made Easy
ii  libgtk2.0-0              2.8.17-1        The GTK+ graphical user interface 
ii  libgtksourceview1.0-0    1.4.2-2         shared libraries for the GTK+ synt
ii  libice6                  1:1.0.0-2       X11 Inter-Client Exchange library
ii  libldap2                 2.1.30-13       OpenLDAP libraries
ii  libnautilus-extension1   2.12.2-2        libraries for nautilus components 
ii  libnotify1               0.3.2-3         sends desktop notifications to a n
ii  liborbit2                1:2.14.0-1      libraries for ORBit2 - a CORBA ORB
ii  libpanel-applet2-0       2.12.3-1        library for GNOME 2 panel applets
ii  libpango1.0-0            1.12.1-2        Layout and rendering of internatio
ii  libpopt0                 1.7-5           lib for parsing cmdline parameters
ii  libsm6                   1:1.0.0-3       X11 Session Management library
ii  libsoup2.2-8             2.2.92-1        an HTTP library implementation in 
ii  libx11-6                 2:1.0.0-6       X11 client-side library
ii  libxcursor1              1.1.5.2-3       X cursor management library
ii  libxext6                 1:1.0.0-3       X11 miscellaneous extension librar
ii  libxi6                   1:1.0.0-3       X11 Input extension library
ii  libxinerama1             1:1.0.1-2       X11 Xinerama extension library
ii  libxml2                  2.6.23.dfsg.2-3 GNOME XML library
ii  libxrandr2               2:1.1.0.2-3     X11 RandR extension library
ii  libxrender1              1:0.9.0.2-3     X Rendering Extension client libra
ii  zlib1g                   1:1.2.3-11      compression library - runtime

Versions of packages seahorse recommends:
ii  openssh-client                1:4.2p1-8  Secure shell client, an rlogin/rsh

-- debconf information:
* seahorse/SUID: true



Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#363528; Package seahorse. Full text and rfc822 format available.

Acknowledgement sent to "S. Porth" <shoof@excidium.net>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #10 received at 363528@bugs.debian.org (full text, mbox):

From: "S. Porth" <shoof@excidium.net>
To: 363528@bugs.debian.org
Subject: seahorse strace
Date: Wed, 19 Apr 2006 16:00:51 -0400
[Message part 1 (text/plain, inline)]

[seahorse-strace.txt (message/delivery-status, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#363528; Package seahorse. Full text and rfc822 format available.

Acknowledgement sent to Jose Carlos Garcia Sogo <jsogo@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 363528@bugs.debian.org (full text, mbox):

From: Jose Carlos Garcia Sogo <jsogo@debian.org>
To: 359709@bugs.debian.org, 363528@bugs.debian.org, 329130@bugs.debian.org, 369532@bugs.debian.org, 374842@bugs.debian.org
Subject: Fixed in newer seahorse versions
Date: Sun, 29 Oct 2006 12:57:08 +0100
[Message part 1 (text/plain, inline)]
Package: seahorse
Version: 0.9.6-1

  Hi,

  I have been trying to reproduce your bug in newest seahorse version,
and I cannot. As seahorse has had a great improvement in latest
versions, as well as bug fixings, it is hard to know in which version or
what make your bug vanish. That's why I am closing these bugs.

  Anyway, if you experiment this bug again, please reopen.

  Cheers,

-- 
Jose Carlos Garcia Sogo
   jsogo@debian.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jose Carlos Garcia Sogo <jsogo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "S. Porth" <shoof@excidium.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 363528-done@bugs.debian.org (full text, mbox):

From: Jose Carlos Garcia Sogo <jsogo@debian.org>
To: 359709-done@bugs.debian.org, 363528-done@bugs.debian.org, 329130-done@bugs.debian.org, 369532-done@bugs.debian.org, 374842-done@bugs.debian.org
Subject: Fixed in newer seahorse versions
Date: Sun, 29 Oct 2006 13:13:44 +0100
[Message part 1 (text/plain, inline)]
Package: seahorse
Version: 0.9.6-1

  Hi,

  I have been trying to reproduce your bug in newest seahorse version,
and I cannot. As seahorse has had a great improvement in latest
versions, as well as bug fixings, it is hard to know in which version or
what make your bug vanish. That's why I am closing these bugs.

  Anyway, if you experiment this bug again, please reopen.

  Cheers,

P.S.: Sorry for the dupe, I forgot the -done part

-- 
Jose Carlos Garcia Sogo
   jsogo@debian.org
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 01:03:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:41:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.